Package wx :: Class PyImageHandler

[frames | no frames]

## Type PyImageHandler

    object --+
             |
        Object --+
                 |
      ImageHandler --+
                     |
                    PyImageHandler

This is the base class for implementing image file loading/saving, and image creation from data, all written in Python. To create a custom image handler derive a new class from wx.PyImageHandler and provide the following methods:

    def DoCanRead(self, stream) --> bool
        '''Check if this handler can read the image on the stream'''

    def LoadFile(self, image, stream, verbose, index) --> bool
        '''Load image data from the stream and load it into image.'''

    def SaveFile(self, image, stream, verbose) --> bool
        '''Save the iamge data in image to the stream using
           this handler's image file format.'''

    def GetImageCount(self, stream) --> int
        '''If this image format can hold more than one image,
           how many does the image on the stream have?'''

To activate your handler create an instance of it and pass it to `wx.Image_AddHandler`. Be sure to call `SetName`, `SetType`, and `SetExtension` from your constructor.

Method Summary
PyImageHandler | ``__init__`(self)` This is the base class for implementing image file loading/saving, and image creation from data, all written in Python.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

This is the base class for implementing image file loading/saving, and image creation from data, all written in Python. To create a custom image handler derive a new class from wx.PyImageHandler and provide the following methods:

    def DoCanRead(self, stream) --> bool
        '''Check if this handler can read the image on the stream'''

    def LoadFile(self, image, stream, verbose, index) --> bool
        '''Load image data from the stream and load it into image.'''

    def SaveFile(self, image, stream, verbose) --> bool
        '''Save the iamge data in image to the stream using
           this handler's image file format.'''

    def GetImageCount(self, stream) --> int
        '''If this image format can hold more than one image,
           how many does the image on the stream have?'''

To activate your handler create an instance of it and pass it to `wx.Image_AddHandler`. Be sure to call `SetName`, `SetType`, and `SetExtension` from your constructor.

  Returns:
    PyImageHandler
  Overrides:
    `wx.ImageHandler.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:40 2007 | http://epydoc.sf.net